Bug 444390 - Duplicate module files info shows for user, after installing hpc kit and then running "module whatis".
Duplicate module files info shows for user, after installing hpc kit and then...
Status: CLOSED WONTFIX
Product: Red Hat HPC Solution
Classification: Red Hat
Component: environment-modules (Show other bugs)
5.1
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 01:19 EDT by liqi0711
Modified: 2008-05-04 22:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-04 22:02:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description liqi0711 2008-04-28 01:19:26 EDT
Description of problem:
Duplicate module files info shows for user, after installing hpc kit and then 
running "module whatis".

Version-Release number of selected component (if applicable):
[root@TestRH opt]# rpm -qa |grep environment
environment-modules-3.2.5-1.el5
[root@TestRH opt]# rpm -qi environment-modules-3.2.5-1.el5
Name        : environment-modules          Relocations: (not relocatable)
Version     : 3.2.5                             Vendor: Red Hat, Inc.
Release     : 1.el5                         Build Date: Mon 18 Feb 2008 
06:18:50 PM CST
Install Date: Wed 23 Apr 2008 12:44:53 PM CST      Build Host: hs20-bc2-
4.build.redhat.com
Group       : System Environment/Base       Source RPM: environment-modules-
3.2.5-1.el5.src.rpm
Size        : 187184                           License: GPL
Signature   : DSA/SHA1, Mon 18 Feb 2008 11:12:58 PM CST, Key ID fd372689897da07a
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://modules.sourceforge.net/
Summary     : Provides dynamic modification of a user's environment
Description :
The Environment Modules package provides for the dynamic modification of
a user's environment via modulefiles.

Each modulefile contains the information needed to configure the shell
for an application. Once the Modules package is initialized, the
environment can be modified on a per-module basis using the module
command which interprets modulefiles. Typically modulefiles instruct
the module command to alter or set shell environment variables such as
PATH, MANPATH, etc. modulefiles may be shared by many users on a system
and users may have their own collection to supplement or replace the
shared modulefiles.

Modules can be loaded and unloaded dynamically and atomically, in an
clean fashion. All popular shells are supported, including bash, ksh,
zsh, sh, csh, tcsh, as well as some scripting languages such as perl.

Modules are useful in managing different versions of applications.
Modules can also be bundled into metamodules that will load an entire
suite of different applications.
[root@TestRH opt]# 

How reproducible:
Directly run command "module whatis" to see these modules info listed, after 
installing a HPC kit with environment-modules package.

Steps to Reproduce:
1. First install red hat 5.1 x86_64 OS and then register the machine into 
Redhat network
2. Running "yum install ocs" and "yum install ocs-kit-hpc", they are installed 
successfully
3. Source modules.sh and then run command "module whatis" as below:

[root@qli opt]# . /etc/profile.d/modules.sh 
[root@qli opt]# module list
No Modulefiles Currently Loaded.
[root@qli opt]# module whatis
dot                  : adds `.' to your PATH environment variable
hdf5/hdf5            : add hdf5-serial bin and lib directory to PATH and 
LD_LIBRARY_PATH
hdf5/hdf5-mpich1-gnu : add hdf5-mpich1-gnu bin and lib directory to PATH and 
LD_LIBRARY_PATH
hdf5/hdf5-openmpi-gnu: add hdf5-openmpi-gnu bin and lib directory to PATH and 
LD_LIBRARY_PATH
linpack/linpack-mpich1-gnu: add linpack-mpich1-gnu bin directory to PATH
linpack/linpack-mvapich1-gnu: add linpack-mvapich1-gnu bin directory to PATH
linpack/linpack-openmpi-gnu: add linpack-mpich1-gnu bin directory to PATH
module-cvs           : get most recent module sources from CVS or ftp
module-info          : returns all various module-info values
modules              : loads the modules environment
mpi/mpich1-ethernet-gnu: add mpich1-gnu bin, man and lib directory to PATH, 
MANPATH and LD_LIBRARY_PATH
mpi/mpich2-ethernet-gnu: add mpich2-ethernet-gnu bin, man and lib directory to 
PATH, MANPATH and LD_LIBRARY_PATH
mpi/mvapich2-infiniband-gnu: add mvapich2-gnu bin, man and lib directory to 
PATH, MANPATH and LD_LIBRARY_PATH
mpi/openmpi-interconnects-gnu: add openmpi-gnu bin, man and lib directory to 
PATH, MANPATH and LD_LIBRARY_PATH
null                 : does absolutely nothing
stream               : add stream bin directory to PATH
use.own              : adds your own modulefiles directory to MODULEPATH
dot                  : adds `.' to your PATH environment variable
hdf5/hdf5            : add hdf5-serial bin and lib directory to PATH and 
LD_LIBRARY_PATH
hdf5/hdf5-mpich1-gnu : add hdf5-mpich1-gnu bin and lib directory to PATH and 
LD_LIBRARY_PATH
hdf5/hdf5-openmpi-gnu: add hdf5-openmpi-gnu bin and lib directory to PATH and 
LD_LIBRARY_PATH
linpack/linpack-mpich1-gnu: add linpack-mpich1-gnu bin directory to PATH
linpack/linpack-mvapich1-gnu: add linpack-mvapich1-gnu bin directory to PATH
linpack/linpack-openmpi-gnu: add linpack-mpich1-gnu bin directory to PATH
module-cvs           : get most recent module sources from CVS or ftp
module-info          : returns all various module-info values
modules              : loads the modules environment
mpi/mpich1-ethernet-gnu: add mpich1-gnu bin, man and lib directory to PATH, 
MANPATH and LD_LIBRARY_PATH
mpi/mpich2-ethernet-gnu: add mpich2-ethernet-gnu bin, man and lib directory to 
PATH, MANPATH and LD_LIBRARY_PATH
mpi/mvapich2-infiniband-gnu: add mvapich2-gnu bin, man and lib directory to 
PATH, MANPATH and LD_LIBRARY_PATH
mpi/openmpi-interconnects-gnu: add openmpi-gnu bin, man and lib directory to 
PATH, MANPATH and LD_LIBRARY_PATH
null                 : does absolutely nothing
stream               : add stream bin directory to PATH
use.own              : adds your own modulefiles directory to MODULEPATH

[root@qli opt]#
  
Expected results:
Only a copy of module file info listed shows for user.
Comment 1 liqi0711 2008-04-28 01:24:51 EDT
Unfortunately, the issue has been reported by Shawn, so please check Shawn 
report's issue and ignore mine.

Thanks
Qi Li
Comment 2 Shawn Starr 2008-05-04 16:11:54 EDT
Please close, New EPEL package is being used.
Comment 3 Shawn Starr 2008-05-04 16:16:27 EDT
You should be seeing

environment-modules-3.2.6-4.el5.x86_64.rpm

EPEL maintainer fixed duplicate module listing issue.

Note You need to log in before you can comment on or make changes to this bug.